function model = get_particle_model(friction)
    import casadi.*
    g = 10;
    a_n = 20;
    mu = 0.2;
    % Symbolic variables and bounds
    q = SX.sym('q',2); 
    v = SX.sym('v',2);
    t = SX.sym('t',1);

    if friction
        % multipliers
        alpha = SX.sym('alpha', 3);
        theta = SX.sym('theta', 3);

        theta_expr = ...


        % Switching function
        c = ...

        % dynamics
        f_x = ...
    else
        % multipliers
        alpha = SX.sym('alpha', 2);
        theta = SX.sym('theta', 2);

        theta_expr = ...

        % Switching function
        c = ...

        % dynamics
        f_x = ...
    end

    g_z = theta - theta_expr;

    model = NosnocModel();
    model.x = [q;v;t];
    model.alpha = alpha;
    model.z = theta;
    model.g_z = g_z;
    model.c = c;
    model.f_x = f_x;

    model.x0 = [0;1;3;0;0];
    model.custom_time_freezing = 1;
    model.general_inclusion = 1;
end
